Upstream information

CVE-2020-28463 at MITRE

Description

All versions of package reportlab are vulnerable to Server-side Request Forgery (SSRF) via img tags. In order to reduce risk, use trustedSchemes & trustedHosts (see in Reportlab's documentation) Steps to reproduce by Karan Bamal: 1. Download and install the latest package of reportlab 2. Go to demos -> odyssey -> dodyssey 3. In the text file odyssey.txt that needs to be converted to pdf inject 4. Create a nc listener nc -lp 5000 5. Run python3 dodyssey.py 6. You will get a hit on your nc showing we have successfully proceded to send a server side request 7. dodyssey.py will show error since there is no img file on the url, but we are able to do SSRF

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Access Vector Network Local
Access Complexity Low Low
Privileges Required Low None
User Interaction None Required
Scope Unchanged Changed
Confidentiality Impact High Low
Integrity Impact None Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1182503 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • python2-reportlab >= 3.4.0-3.6.1
  • python3-reportlab >= 3.4.0-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2021-2641
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • python2-reportlab >= 3.4.0-3.6.1
  • python3-reportlab >= 3.4.0-3.6.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2641
openSUSE Leap 15.2
  • python-reportlab-debuginfo >= 3.4.0-lp152.5.3.1
  • python-reportlab-debugsource >= 3.4.0-lp152.5.3.1
  • python2-reportlab >= 3.4.0-lp152.5.3.1
  • python2-reportlab-debuginfo >= 3.4.0-lp152.5.3.1
  • python3-reportlab >= 3.4.0-lp152.5.3.1
  • python3-reportlab-debuginfo >= 3.4.0-lp152.5.3.1
Patchnames:
openSUSE-2021-1147
openSUSE Leap 15.3
  • python2-reportlab >= 3.4.0-3.6.1
  • python3-reportlab >= 3.4.0-3.6.1
Patchnames:
openSUSE-SLE-15.3-2021-2641

List of packages in QA

Product(s) Package(s)
SUSE Linux Enterprise Workstation Extension 12 SP5
  • python-reportlab >= 2.7-3.8.1
  • python-reportlab-debuginfo >= 2.7-3.8.1
  • python-reportlab-debugsource >= 2.7-3.8.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Workstation Extension 12 python-reportlab In progress